/*
 * 	Doku, siehe http://www.mikrocontroller.net/articles/AVR_FAT32
 *  Neuste Version: http://www.mikrocontroller.net/svnbrowser/avr-fat32/
 *	Autor: Daniel R.
 */


#include <LPC214x.H>                       /* LPC21xx definitions */

#include "uart.h"
#include "config.h"


//***********************Funktionen**********************************
void uputc(unsigned char c){		//zeichen senden

	while(!(U1LSR & 0x20)); // Wait until UART1 ready to send character     
	U1THR = c;  // Send character							// zeichen schreiben							// zeichen schreiben
}	

//*******************************************************************
void uputs (unsigned char *s){		//string senden
	
  while(*s) uputc(*s++);				//sendet zeichenkette, bis ende.. '\0'     
}

//*******************************************************************
void uinit (void){					//init usart Tx, 8n1 ,UDRE interupt enable

  PINSEL0 = 0x00050000;           /* Enable RxD1 and TxD1                     */
  U1LCR = 0x83;                   /* 8 bits, no Parity, 1 Stop bit            */
  U1DLL = 33;//97;                     /* 115200 Baud Rate 			         */
  U1LCR = 0x03;                   /* DLAB = 0                                 */
}

